package com.ematou.wxbase.controller;

import com.ematou.wxbase.common.web.R;
import com.ematou.wxbase.service.TicketRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 获取微信 ticket 控制器
 *
 * @author frankeleyn
 * @email lvjian@qhdswl.com
 * @date 2023/5/11 15:49
 */
@RestController
public class TicketController {

    @Autowired
    private TicketRecordService ticketRecordService;

    /**
     * 获取微信票据
     *
     * @param url
     * @return
     */
    @GetMapping("/wxbase/getTicket")
    public R<?> getTicket(String url) {
        try {
            return new R<>().success(ticketRecordService.getTicket(url));
        } catch (Exception e) {
            return new R<>().error("获取wxTicket失败！errorMessage: " + e.getMessage());
        }
    }

    /**
     * 生成微信票据
     *
     * @param url
     * @return
     */
    @GetMapping("/wxbase/genTicket")
    public R<?> genTicket(String url) {
        try {
            return new R<>().success(ticketRecordService.genTicket(url));
        } catch (Exception e) {
            return new R<>().error("获取wxTicket失败！errorMessage: " + e.getMessage());
        }
    }

}
