package com.ematou.wxbase.exception;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 业务异常类
 *
 * @author frankeleyn
 * @email lvjian@qhdswl.com
 * @date 2023/2/18 15:36
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public final class ServiceException extends RuntimeException {

    /**
     * 错误码，默认 500
     */
    private Integer code = 500;

    /**
     * 错误信息
     */
    private String message;

    public ServiceException(String message)
    {
        this.message = message;
    }

}
